;=================================================
; Rainmeter configuration file
; Updated December 14, 2009
;=================================================

;[BEGIN CONFIG FILE]==============================

[Rainmeter]
Author=Jeffrey Morley
Update=1000

[Metadata]
Name=USBDrives
Config=USBDrives
Description=USB Flash Drive Information
Instructions=
Version=1.0
Tags=Drives | USB
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0
Variant=0
Preview=

[Variables]

[StringStyle]
FontColor=230, 255, 10,180
FontFace=imagine font
FontSize=6
StringEffect=NONE
StringStyle=BOLD
StringAlign=LEFT
AntiAlias=1

[BackGround]
Meter=Image
ImageName=

[BarStyle]
BarColor=255,10,40,150
SolidColor=255,10,40,150

;[MEASURE DRIVES]==================================

[MeasureTotalG]
Measure=FreeDiskSpace
Drive=G:
IgnoreRemovable=0
Total=1
UpdateDivider=2

[MeasureLabelG]
Measure=FreeDiskSpace
Drive=G:
Label=1
IgnoreRemovable=0
UpdateDivider=2

[MeasureFreeG]
Measure=FreeDiskSpace
Drive=G:
IgnoreRemovable=0
UpdateDivider=4

[MeasureUsedG]
Measure=FreeDiskSpace
Drive=G:
IgnoreRemovable=0
InvertMeasure=1
UpdateDivider=2
Substitute="1.0":"Removed"
IfEqualValue=0
IfEqualAction=!execute [!RainmeterHideMeter MeterUsedGText][!RainmeterHideMeter MeterUsedGBar][!RainmeterHideMeter MeterTotalGBar][!RainmeterHideMeter MeterFreeGText][!RainmeterHideMeter MeterTotalGText][!RainmeterHideMeter MeterDriveGLabel][!RainmeterHideMeter MeterTotalGBar]
IfAboveValue=1
IfAboveAction=!execute [!RainmeterShowMeter MeterUsedGText][!RainmeterShowMeter MeterUsedGBar][!RainmeterShowMeter MeterTotalGBar][!RainmeterShowMeter MeterFreeGText][!RainmeterShowMeter MeterTotalGText][!RainmeterShowMeter MeterDriveGLabel][!RainmeterShowMeter MeterTotalGBar]

[MeasureTotalH]
Measure=FreeDiskSpace
Drive=H:
IgnoreRemovable=0
Total=1
UpdateDivider=2

[MeasureLabelH]
Measure=FreeDiskSpace
Drive=H:
Label=1
IgnoreRemovable=0
UpdateDivider=2

[MeasureFreeH]
Measure=FreeDiskSpace
Drive=H:
IgnoreRemovable=0
UpdateDivider=4

[MeasureUsedH]
Measure=FreeDiskSpace
Drive=H:
IgnoreRemovable=0
InvertMeasure=1
UpdateDivider=2
Substitute="1.0":"Removed"

;[DISPLAY DRIVE G:]==================================

[MeterUsedPhysMemBackG]
Meter=IMAGE
ImageName=
X=0
Y=10
BarOrientation=HORIZONTAL

[MeterTotalGBar]
Meter=Image
SolidColor=0,0,0,50
X=12
Y=33
W=295
H=3

[MeterUsedGBar]
MeasureName=MeasureUsedG
Meter=BAR
BarColor=255,10,40,80
X=12
Y=33
W=295
H=3
BarOrientation=HORIZONTAL

[MeterUsedGText]
MeasureName=MeasureUsedG
Meter=STRING
MeterStyle=StringStyle
X=12
Y=41
Text="%1"
AutoScale=1
LeftMouseDownAction=!Execute ["G:\"]


[MeterFreeGText]
MeasureName=MeasureFreeG
Meter=STRING
MeterStyle=StringStyle
StringAlign=RIGHT
X=308
Y=41
Text="%1"
AutoScale=1
LeftMouseDownAction=!Execute ["G:\"]

[MeterTotalGText]
MeasureName=MeasureTotalG
Meter=STRING
MeterStyle=StringStyle
StringAlign=RIGHT
X=308
Y=24
Text="Total: %1"
AutoScale=1
LeftMouseDownAction=!Execute ["G:\"]

[MeterDriveGLabel]
Meter=STRING
MeasureName=MeasureLabelG
MeterStyle=StringStyle
X=12
Y=24
Text="Drive G: %1"
LeftMouseDownAction=!Execute ["G:\"]


;[AUTO REFRESH]======================================
; This measure is to force the skin to refresh every
; five seconds, as Rainmeter will not properly see
; the "removal" of a USB drive without a refresh. It
; will see the drive as having 100% of the total 
; space of the former drive "used" and 0% "free", 
; when in fact the drive has been removed.  A 
; refresh of the skin corrects this.  I have it set
; to refresh every 5 seconds.


;[END CONFIG FILE]===================================
